<?php
// app/api/login/recover

    header("Content-Type:application/json");
    include("../dbconn.php");
    include_once("../utils.php");
    
    // parametros obligatorios
    $parmsob = array("hash","pwd");
    if (!parametrosValidos($_GET, $parmsob)){
        badEnd("400", array("msg"=>"Parametros obligatorios " . implode(", ", $parmsob)));
    }
    
    //Definimos las variables y guardamos los datos recibidos por GET
    $hash = $_GET["hash"];
    $pwd = $_GET["pwd"];
    $out = new stdClass();
    
    $lang = updateLang($db,$hash);
    
    $sql =  "UPDATE users " .
            "SET    pwd = '" . $pwd . "', ".
            "       sessionid = NULL, ".
            "       pwdexpiration = DATE_ADD(NOW(), INTERVAL 1 YEAR), ".
            "       status = 1 ".
            "WHERE  sessionid='".$hash."'";
    if (!$db->query($sql)){
        badEnd("500", array("sql"=>$sql,"msg"=>$db->error));
    }
    
    if ($db->affected_rows == 0){
        badEnd("401", array("msg"=>determinateMsgFail(array(
            "esp"=>"Hash incorrecto",
            "eng"=>"Invalid Hash"), $lang, "Hash incorrecto")));
    }
    
    // Retornamos mensaje de que todo fue exitoso
    $out->msg = "Contraseña cambiada satisfactoriamente";
    //lanzamos un codigo que todo salio bien
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>
